class ApplicationController < ActionController::Base
    protect_from_forgery with: :exception
    helper_method :current_member, :logged_in?, :resource_name, :resource, :devise_mapping

    def logged_in?
    	current_member
  	end
  	def after_sign_in_path_for(resource)   
    	dashboard_path
  	end
  	def resource_name
    	:member
    end
    def resource
    	@resource ||= Member.new
  	end
  	 
  	def devise_mapping
    	@devise_mapping ||= Devise.mappings[:member]
  	end
end
